[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.WriteDebugReport

Generates a formatted message with information about the tree view control and optionally tree nodes in Items.

## Declaration

Source position: comctrls.pp line 3734

`public procedure TCustomTreeView.WriteDebugReport(`
`const Prefix: string;`
`AllNodes: Boolean`
`);`

## Arguments

`Prefix` |  | Arbitrary value prepended to the formatted message. Identifies the tree view instance or context for the message.
`AllNodes` |  | True if values in Items are included in the formatted message.

## Description

WriteDebugReport is a method used to generate a formatted message with information about the tree view control, and optionally the tree nodes in Items. It is used to create and write debugger messages using the DbgOut and DebugLn routines.

The value in Prefix identifies the tree view control and the context for the message. It is written, along with the ClassName and address for the class instance, as the first line in the debugger message.

When AllNodes is set to True, the WriteDebugReport method in Items is called to include information about the tree nodes in the container in the debugger message.